Bug 1027047 - Winsync plugin segfault during incremental backoff
Winsync plugin segfault during incremental backoff
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On: 1022500
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 20:06 EST by Noriko Hosoi
Modified: 2014-06-17 23:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-9.el7
Doc Type: Bug Fix
Doc Text:
Cause: Once WinSync backoff timer is set, even if the protocol that the backoff timer belongs to is deleted by removing the windows sync agreement, the timer is not deleted from the event queue. Consequence: When the timer is expired and backoff is called, it crashes the server since the protocol handle is already freed, then. Fix: Make sure to delete the backoff timer when 1) a windows sync agreement is removed and the protocol is deleted, and 2) a new backoff timer set and there is already a backoff timer set up. Result: The server does not crash even if the agreement is deleted before the backoff is called.
Story Points: ---
Clone Of: 1022500
Environment:
Last Closed: 2014-06-13 08:49:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Amita Sharma 2014-02-20 11:53:05 EST
1. Setup winsync with certs.
2. Executed reproducer with new parameters of my setup ::
[root@dhcp201-149 export]# ./reproducer.sh
deleting winsync agreement
Removing AD certificate from DS certdb
setting up winsync STARTTLS agreement
adding new entry "cn=winsync,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config"

verifying STARTTLS connection fails on certificate validation
[20/Feb/2014:21:52:43 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replication bind with SIMPLE auth failed: LDAP error -11 (Connect error) (TLS error -8179:Peer's Certificate issuer is not recognized.)
Sleeping 300s
deleting winsync agreement
adding new winsync agreement
adding new entry "cn=winsync,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config"


importing AD cert
Verifying connection is OK - sleeping 20s
[20/Feb/2014:21:57:47 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replica has no update vector. It has never been initialized.
[20/Feb/2014:21:57:51 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replica has no update vector. It has never been initialized.
[20/Feb/2014:21:57:55 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replica has no update vector. It has never been initialized.
[20/Feb/2014:21:57:59 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replica has no update vector. It has never been initialized.
[20/Feb/2014:21:58:03 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (WIN-JR86T98LPKL:389): Replica has no update vector. It has never been initialized.
Please wait 2-3 minutes till DS segfaults.

No segfaults found, hence marking bug as VERIFIED.
Comment 3 Ludek Smid 2014-06-13 08:49:40 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.